%define version 0.4
%define name cpu_freq_throttle
%define release 3mdk

Summary:	A CPU Controller to change frequency or throttle
Name:		%{name}
Version:	%{version}
Release:        %{release}
Source0:	%{name}-%{version}.tar.bz2
License:	GPL
URL:		http://people.mandriva.com/~aginies/cpu_freq_throttle/
Group:		System/Configuration/Other
Packager:	Antoine Ginies <aginies@mandriva.com>
#Requires:
BuildRoot:	%{_tmppath}/%{name}-buildroot

%description
Tools to adjust CPU frequency and Throttle, working in console mode
need to be a sudo users, and have acpi-cpufreq module loaded.
Launch as root:
add_sudoers.pl username
to add a user to be sudoers without password.  

%prep
%setup -q

%build
%make build

%install
rm -rf $RPM_BUILD_ROOT
make prefix=$RPM_BUILD_ROOT install 

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc TODO COPYING AUTHORS ChangeLog
%{_sbindir}/cpu_freq_throttle
%{_sbindir}/add_sudoers.pl
%{_mandir}/man8/*

%changelog
* Wed Jun 15 2005 Antoine Ginies <aginies@mandriva.com> 0.4-3mdk
- fix add_sudoers.pl script

* Tue Jun 14 2005 Antoine Ginies <aginies@mandriva.com> 0.4-2mdk
- update URL
- fix man page
- fix governor test
- now detect if throttling is available
- add add_sudoers.pl script

* Mon May 23 2005 Antoine Gini?s <aginies@mandriva.com> 0.2-2mdk
- first public release

* Mon May 23 2005 Antoine Ginis <aginies@mandriva.com> 0.2-1mdk
- various improvement
- fix man page
- add support for longopt

* Mon May 23 2005 Antoine Ginis <aginies@mandriva.com> 0.1-2mdk
- add support for HP laptop (thx anne)

* Mon May 23 2005 Antoine Ginis <aginies@mandriva.com> 0.1-1mdk
- first release
